---
before_script:
  - source ~/toolchain
  - export CMAKE_FLAGS="-DCMAKE_C_COMPILER='$CC' -DCMAKE_CXX_COMPILER='$CXX'"

variables:
  GIT_SUBMODULE_STRATEGY: recursive

debian:10 gcc-8-17:
  image: registry.dune-project.org/docker/ci/dune:2.6-debian-10-gcc-8-17
  script:
  - dunecontrol --current all
  - dunecontrol --current make build_tests
  - dunecontrol --current make test
  - dunecontrol --current make examples

debian:10 clang-6-libcpp-17:
  image: registry.dune-project.org/docker/ci/dune:2.6-debian-10-clang-6-libcpp-17
  script:
  - duneci-standard-test
  - dunecontrol --current make examples

debian:9 gcc-6-14:
  image: registry.dune-project.org/docker/ci/dune:2.6-debian-9-gcc-6-14
  script:
  - dunecontrol --current all
  - dunecontrol --current make build_tests
  - dunecontrol --current make test
  - dunecontrol --current make examples

ubuntu:18.04 clang-6-17:
  image: registry.dune-project.org/docker/ci/dune:2.6-ubuntu-18.04-clang-6-17
  script:
  - duneci-standard-test
  - dunecontrol --current make examples
